(function($) {

  Drupal.behaviors.notifier = function (context) {

    var notifierDiv = '#block-notifier_og-notifier_og_global';

    var hideNotifier = function() {

      // If the notifier has been closed we need to hide the div.
      if ($(notifierDiv + ' .content .bootstrap *').length === 0) {
        $(notifierDiv).hide();
      }
    };

    // When a Bootstrap close button is clicked, call the function to mark it as read.
    $('.close').click(function() {
      id = $(this).parent().attr('id');
      if (id && id.substr(0, 12) == 'notification') {
        $.ajax('/node/' + id.substr(id.indexOf('-') + 1));
      }
    });

    // We want to wait until the ajax request is complete and then hide the div.
    $(notifierDiv).ajaxComplete(function() {
      hideNotifier();
    });

    // We want to hide the div even if it was closed previously.
    hideNotifier();
  }
})(jQuery);
