<?php

/**
 * Implementation of hook_views_default_views().
 */
function notifier_views_default_views() {
  static $views;
  if (!empty($views)) {
    return $views;
  }

  $views = array();

  // Exported view: notifier
  $view = new view;
  $view->name = 'notifier';
  $view->description = 'Display notifications to users.';
  $view->tag = 'notifier';
  $view->base_table = 'node';
  $view->human_name = 'Notifier';
  $view->core = 6;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['use_more_text'] = 'All Notices';
  $handler->display->display_options['link_display'] = 'notifier_all';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Header: Global: Notifier JS and CSS Files */
  $handler->display->display_options['header']['notifier_js_css']['id'] = 'notifier_js_css';
  $handler->display->display_options['header']['notifier_js_css']['table'] = 'views';
  $handler->display->display_options['header']['notifier_js_css']['field'] = 'notifier_js_css';
  $handler->display->display_options['header']['notifier_js_css']['label'] = '';
  $handler->display->display_options['header']['notifier_js_css']['empty'] = FALSE;
  /* Relationship: Notifier User */
  $handler->display->display_options['relationships']['field_ref_notifier_uid_uid']['id'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['relationships']['field_ref_notifier_uid_uid']['table'] = 'node_data_field_ref_notifier_uid';
  $handler->display->display_options['relationships']['field_ref_notifier_uid_uid']['field'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['relationships']['field_ref_notifier_uid_uid']['ui_name'] = 'Notifier User';
  $handler->display->display_options['relationships']['field_ref_notifier_uid_uid']['required'] = 0;
  $handler->display->display_options['relationships']['field_ref_notifier_uid_uid']['delta'] = '-1';
  /* Field: Node: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['external'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nid']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['nid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['nid']['spaces'] = array(
    'type' => array(
      'name' => 'spaces_og',
      'spaces_og_feature' => 'any',
    ),
    'frontpage' => 0,
    'page' => array(
      'menu-item' => '<front>',
      'path' => '',
    ),
  );
  /* Field: Notifier Type */
  $handler->display->display_options['fields']['field_notifier_type_value']['id'] = 'field_notifier_type_value';
  $handler->display->display_options['fields']['field_notifier_type_value']['table'] = 'node_data_field_notifier_type';
  $handler->display->display_options['fields']['field_notifier_type_value']['field'] = 'field_notifier_type_value';
  $handler->display->display_options['fields']['field_notifier_type_value']['ui_name'] = 'Notifier Type';
  $handler->display->display_options['fields']['field_notifier_type_value']['label'] = 'Notifier Type';
  $handler->display->display_options['fields']['field_notifier_type_value']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['link_to_node'] = 0;
  /* Field: Node: Body */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'node_revisions';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['body']['alter']['text'] = '<div class="alert-message [field_notifier_type_value] fade in" data-alert="alert" id="notification-[nid]"><a class="close" href="#">&times;</a><p>[body]</p></div>';
  $handler->display->display_options['fields']['body']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['body']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['body']['alter']['external'] = 0;
  $handler->display->display_options['fields']['body']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['body']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['body']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['body']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['body']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['body']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['body']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['body']['alter']['html'] = 0;
  $handler->display->display_options['fields']['body']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['body']['element_wrapper_class'] = 'bootstrap';
  $handler->display->display_options['fields']['body']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['body']['hide_empty'] = 0;
  $handler->display->display_options['fields']['body']['empty_zero'] = 0;
  $handler->display->display_options['fields']['body']['hide_alter_empty'] = 1;
  /* Sort criterion: Notifier Type */
  $handler->display->display_options['sorts']['field_notifier_type_value']['id'] = 'field_notifier_type_value';
  $handler->display->display_options['sorts']['field_notifier_type_value']['table'] = 'node_data_field_notifier_type';
  $handler->display->display_options['sorts']['field_notifier_type_value']['field'] = 'field_notifier_type_value';
  $handler->display->display_options['sorts']['field_notifier_type_value']['ui_name'] = 'Notifier Type';
  /* Sort criterion: Node: Updated date */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'node';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  $handler->display->display_options['sorts']['changed']['granularity'] = 'minute';
  /* Argument: Notifier User */
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['id'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['table'] = 'node_data_field_ref_notifier_uid';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['field'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['ui_name'] = 'Notifier User';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['not'] = 0;
  /* Argument: Notifier Identifier */
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['id'] = 'field_notifier_identifier_value';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['table'] = 'node_data_field_notifier_identifier';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['field'] = 'field_notifier_identifier_value';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['ui_name'] = 'Notifier Identifier';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['glossary'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['ignorecase'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['limit'] = '0';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['transform_dash'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['break_phrase'] = 0;
  $handler->display->display_options['filter_groups']['operator'] = 'OR';
  $handler->display->display_options['filter_groups']['groups'] = array(
    0 => 'AND',
    1 => 'AND',
  );
  /* Filter: Node: Has new content */
  $handler->display->display_options['filters']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['filters']['timestamp']['table'] = 'history_user';
  $handler->display->display_options['filters']['timestamp']['field'] = 'timestamp';
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'notifier' => 'notifier',
  );
  /* Filter: Node: Updated date */
  $handler->display->display_options['filters']['changed']['id'] = 'changed';
  $handler->display->display_options['filters']['changed']['table'] = 'node';
  $handler->display->display_options['filters']['changed']['field'] = 'changed';
  $handler->display->display_options['filters']['changed']['operator'] = '>=';
  $handler->display->display_options['filters']['changed']['value']['value'] = '-30 days';
  $handler->display->display_options['filters']['changed']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['changed']['allow_null'] = 0;
  /* Filter: Notifier User */
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['id'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['table'] = 'node_data_field_ref_notifier_uid';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['field'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['ui_name'] = 'Notifier User';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['operator'] = 'not empty';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['reduce_duplicates'] = 0;
  /* Filter: User: Current */
  $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['relationship'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['filters']['uid_current']['value'] = '1';
  /* Filter: Node: Has new content */
  $handler->display->display_options['filters']['timestamp_1']['id'] = 'timestamp_1';
  $handler->display->display_options['filters']['timestamp_1']['table'] = 'history_user';
  $handler->display->display_options['filters']['timestamp_1']['field'] = 'timestamp';
  $handler->display->display_options['filters']['timestamp_1']['group'] = '1';
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'node';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['value'] = array(
    'notifier' => 'notifier',
  );
  $handler->display->display_options['filters']['type_1']['group'] = '1';
  /* Filter: Node: Updated date */
  $handler->display->display_options['filters']['changed_1']['id'] = 'changed_1';
  $handler->display->display_options['filters']['changed_1']['table'] = 'node';
  $handler->display->display_options['filters']['changed_1']['field'] = 'changed';
  $handler->display->display_options['filters']['changed_1']['operator'] = '>=';
  $handler->display->display_options['filters']['changed_1']['value']['value'] = '-30 days';
  $handler->display->display_options['filters']['changed_1']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['changed_1']['group'] = '1';
  $handler->display->display_options['filters']['changed_1']['allow_null'] = 1;
  /* Filter: Global Notifier */
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['id'] = 'field_global_notifier_value_many_to_one';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['table'] = 'node_data_field_global_notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['field'] = 'field_global_notifier_value_many_to_one';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['ui_name'] = 'Global Notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['value'] = array(
    'user_dashboards' => 'user_dashboards',
  );
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['group'] = '1';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['reduce_duplicates'] = 0;
  /* Filter: Global Notifier */
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['id'] = 'field_global_notifier_value_many_to_one_1';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['table'] = 'node_data_field_global_notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['field'] = 'field_global_notifier_value_many_to_one';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['ui_name'] = 'Global Notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['operator'] = 'empty';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['reduce_duplicates'] = 0;

  /* Display: Notifier */
  $handler = $view->new_display('block', 'Notifier', 'notifier');
  $handler->display->display_options['display_comment'] = 'Show all new notifiers to the user.';

  /* Display: All Notifiers */
  $handler = $view->new_display('page', 'All Notifiers', 'notifier_all');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'All Notices';
  $handler->display->display_options['display_comment'] = 'Show all notifiers to the user, including old ones that the user has already acknowledged.';
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all'] = 0;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Node: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['external'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nid']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['nid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['nid']['spaces'] = array(
    'type' => array(
      'name' => 'spaces_og',
      'spaces_og_feature' => 'any',
    ),
    'frontpage' => 0,
    'page' => array(
      'menu-item' => '<front>',
      'path' => '',
    ),
  );
  /* Field: Notifier Type */
  $handler->display->display_options['fields']['field_notifier_type_value']['id'] = 'field_notifier_type_value';
  $handler->display->display_options['fields']['field_notifier_type_value']['table'] = 'node_data_field_notifier_type';
  $handler->display->display_options['fields']['field_notifier_type_value']['field'] = 'field_notifier_type_value';
  $handler->display->display_options['fields']['field_notifier_type_value']['ui_name'] = 'Notifier Type';
  $handler->display->display_options['fields']['field_notifier_type_value']['label'] = 'Notifier Type';
  $handler->display->display_options['fields']['field_notifier_type_value']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_notifier_type_value']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_notifier_type_value']['link_to_node'] = 0;
  /* Field: Node: Body */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'node_revisions';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['body']['alter']['text'] = '<div class="alert-message [field_notifier_type_value] fade in" data-alert="alert" id="notification-[nid]"><p>[body]</p></div>';
  $handler->display->display_options['fields']['body']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['body']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['body']['alter']['external'] = 0;
  $handler->display->display_options['fields']['body']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['body']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['body']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['body']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['body']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['body']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['body']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['body']['alter']['html'] = 0;
  $handler->display->display_options['fields']['body']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['body']['element_wrapper_class'] = 'bootstrap';
  $handler->display->display_options['fields']['body']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['body']['hide_empty'] = 0;
  $handler->display->display_options['fields']['body']['empty_zero'] = 0;
  $handler->display->display_options['fields']['body']['hide_alter_empty'] = 1;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'notifier' => 'notifier',
  );
  /* Filter: Notifier User */
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['id'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['table'] = 'node_data_field_ref_notifier_uid';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['field'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['ui_name'] = 'Notifier User';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['operator'] = 'not empty';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['reduce_duplicates'] = 0;
  /* Filter: User: Current */
  $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['relationship'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['filters']['uid_current']['value'] = '1';
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'node';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['value'] = array(
    'notifier' => 'notifier',
  );
  $handler->display->display_options['filters']['type_1']['group'] = '1';
  /* Filter: Global Notifier */
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['id'] = 'field_global_notifier_value_many_to_one';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['table'] = 'node_data_field_global_notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['field'] = 'field_global_notifier_value_many_to_one';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['ui_name'] = 'Global Notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['value'] = array(
    'user_dashboards' => 'user_dashboards',
  );
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['group'] = '1';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['reduce_duplicates'] = 0;
  /* Filter: Global Notifier */
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['id'] = 'field_global_notifier_value_many_to_one_1';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['table'] = 'node_data_field_global_notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['field'] = 'field_global_notifier_value_many_to_one';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['ui_name'] = 'Global Notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['operator'] = 'empty';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['reduce_duplicates'] = 0;
  $handler->display->display_options['path'] = 'user/%/notices';

  /* Display: Notifier Non-Global */
  $handler = $view->new_display('block', 'Notifier Non-Global', 'notifier_nonglobal');
  $handler->display->display_options['display_comment'] = 'Show all new non-global notifiers to the user.';
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Has new content */
  $handler->display->display_options['filters']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['filters']['timestamp']['table'] = 'history_user';
  $handler->display->display_options['filters']['timestamp']['field'] = 'timestamp';
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'notifier' => 'notifier',
  );
  /* Filter: Node: Updated date */
  $handler->display->display_options['filters']['changed']['id'] = 'changed';
  $handler->display->display_options['filters']['changed']['table'] = 'node';
  $handler->display->display_options['filters']['changed']['field'] = 'changed';
  $handler->display->display_options['filters']['changed']['operator'] = '>=';
  $handler->display->display_options['filters']['changed']['value']['value'] = '-30 days';
  $handler->display->display_options['filters']['changed']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['changed']['allow_null'] = 0;
  /* Filter: Notifier User */
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['id'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['table'] = 'node_data_field_ref_notifier_uid';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['field'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['ui_name'] = 'Notifier User';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['operator'] = 'not empty';
  $handler->display->display_options['filters']['field_ref_notifier_uid_uid']['reduce_duplicates'] = 0;
  /* Filter: User: Current */
  $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['relationship'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['filters']['uid_current']['value'] = '1';
  /* Filter: Global Notifier */
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['id'] = 'field_global_notifier_value_many_to_one_1';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['table'] = 'node_data_field_global_notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['field'] = 'field_global_notifier_value_many_to_one';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['ui_name'] = 'Global Notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['operator'] = 'empty';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one_1']['reduce_duplicates'] = 0;

  /* Display: Notifier Global */
  $handler = $view->new_display('block', 'Notifier Global', 'notifier_global');
  $handler->display->display_options['display_comment'] = 'Show all new global notifiers to the user.';
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['use_more_text'] = 'All Notices';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Argument: Notifier Identifier */
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['id'] = 'field_notifier_identifier_value';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['table'] = 'node_data_field_notifier_identifier';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['field'] = 'field_notifier_identifier_value';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['ui_name'] = 'Notifier Identifier';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['glossary'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['ignorecase'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['limit'] = '0';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['transform_dash'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['break_phrase'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Has new content */
  $handler->display->display_options['filters']['timestamp_1']['id'] = 'timestamp_1';
  $handler->display->display_options['filters']['timestamp_1']['table'] = 'history_user';
  $handler->display->display_options['filters']['timestamp_1']['field'] = 'timestamp';
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'node';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['value'] = array(
    'notifier' => 'notifier',
  );
  /* Filter: Node: Updated date */
  $handler->display->display_options['filters']['changed_1']['id'] = 'changed_1';
  $handler->display->display_options['filters']['changed_1']['table'] = 'node';
  $handler->display->display_options['filters']['changed_1']['field'] = 'changed';
  $handler->display->display_options['filters']['changed_1']['operator'] = '>=';
  $handler->display->display_options['filters']['changed_1']['value']['value'] = '-30 days';
  $handler->display->display_options['filters']['changed_1']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['changed_1']['allow_null'] = 1;
  /* Filter: Global Notifier */
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['id'] = 'field_global_notifier_value_many_to_one';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['table'] = 'node_data_field_global_notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['field'] = 'field_global_notifier_value_many_to_one';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['ui_name'] = 'Global Notifier';
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['value'] = array(
    'user_dashboards' => 'user_dashboards',
  );
  $handler->display->display_options['filters']['field_global_notifier_value_many_to_one']['reduce_duplicates'] = 0;
  $translatables['notifier'] = array(
    t('Defaults'),
    t('All Notices'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Notifier User'),
    t('Nid'),
    t('Notifier Type'),
    t('<div class="alert-message [field_notifier_type_value] fade in" data-alert="alert" id="notification-[nid]"><a class="close" href="#">&times;</a><p>[body]</p></div>'),
    t('All'),
    t('Notifier'),
    t('more'),
    t('All Notifiers'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('<div class="alert-message [field_notifier_type_value] fade in" data-alert="alert" id="notification-[nid]"><p>[body]</p></div>'),
    t('Notifier Non-Global'),
    t('Notifier Global'),
  );

  $views[$view->name] = $view;

  // Exported view: notifier_view_helper
  $view = new view;
  $view->name = 'notifier_view_helper';
  $view->description = 'A view helper used by notifier_rules to identify duplicates.';
  $view->tag = 'notifier';
  $view->base_table = 'node';
  $view->human_name = 'Notifier View Helper';
  $view->core = 6;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['use_more_text'] = 'All Notices';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['hide_empty'] = 0;
  $handler->display->display_options['row_options']['default_field_elements'] = 0;
  /* Field: Node: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['external'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nid']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['nid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['nid']['spaces'] = array(
    'type' => array(
      'name' => 'spaces_og',
      'spaces_og_feature' => 'any',
    ),
    'frontpage' => 0,
    'page' => array(
      'menu-item' => '<front>',
      'path' => '',
    ),
  );
  /* Field: Notifier User */
  $handler->display->display_options['fields']['delta_1']['id'] = 'delta_1';
  $handler->display->display_options['fields']['delta_1']['table'] = 'node_data_field_ref_notifier_uid';
  $handler->display->display_options['fields']['delta_1']['field'] = 'delta';
  $handler->display->display_options['fields']['delta_1']['ui_name'] = 'Notifier User';
  $handler->display->display_options['fields']['delta_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['delta_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['delta_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['delta_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['delta_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['delta_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delta_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['delta_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['delta_1']['format_plural'] = 0;
  /* Sort criterion: Notifier Type */
  $handler->display->display_options['sorts']['field_notifier_type_value']['id'] = 'field_notifier_type_value';
  $handler->display->display_options['sorts']['field_notifier_type_value']['table'] = 'node_data_field_notifier_type';
  $handler->display->display_options['sorts']['field_notifier_type_value']['field'] = 'field_notifier_type_value';
  $handler->display->display_options['sorts']['field_notifier_type_value']['ui_name'] = 'Notifier Type';
  /* Sort criterion: Node: Updated date */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'node';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  $handler->display->display_options['sorts']['changed']['granularity'] = 'minute';
  /* Argument: Notifier User */
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['id'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['table'] = 'node_data_field_ref_notifier_uid';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['field'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['ui_name'] = 'Notifier User';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['break_phrase'] = 1;
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['not'] = 0;
  /* Argument: Notifier Identifier */
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['id'] = 'field_notifier_identifier_value';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['table'] = 'node_data_field_notifier_identifier';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['field'] = 'field_notifier_identifier_value';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['ui_name'] = 'Notifier Identifier';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['glossary'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['ignorecase'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['limit'] = '0';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['transform_dash'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['break_phrase'] = 1;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'notifier' => 'notifier',
  );
  /* Filter: Node: Updated date */
  $handler->display->display_options['filters']['changed']['id'] = 'changed';
  $handler->display->display_options['filters']['changed']['table'] = 'node';
  $handler->display->display_options['filters']['changed']['field'] = 'changed';
  $handler->display->display_options['filters']['changed']['operator'] = '>=';
  $handler->display->display_options['filters']['changed']['value']['value'] = '-30 days';
  $handler->display->display_options['filters']['changed']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['changed']['allow_null'] = 0;

  /* Display: Notifier */
  $handler = $view->new_display('block', 'Notifier', 'notifier_view_helper');

  /* Display: Notifier - All */
  $handler = $view->new_display('block', 'Notifier - All', 'notifier_view_helper_all');
  $handler->display->display_options['display_description'] = 'Include notifiers older than 30 days.';
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'notifier' => 'notifier',
  );
  $translatables['notifier_view_helper'] = array(
    t('Defaults'),
    t('All Notices'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Nid'),
    t('Notifier User (field_ref_notifier_uid) - delta'),
    t('.'),
    t(','),
    t('All'),
    t('Notifier'),
    t('more'),
    t('Notifier - All'),
    t('Include notifiers older than 30 days.'),
  );

  $views[$view->name] = $view;

  return $views;
}
