<?php

/**
 * Implementation of hook_content_default_fields().
 */
function notifier_og_content_default_fields() {
  $fields = array();

  // Exported field: field_global_group_filter
  $fields['notifier-field_global_group_filter'] = array(
    'field_name' => 'field_global_group_filter',
    'type_name' => 'notifier',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      '5' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'cck_blocks' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'mobile' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '32',
    'allowed_values' => 'admins|Show only to group admins
non-admins|Show only to non group admins',
    'allowed_values_php' => '',
    'widget' => array(
      'default_value' => array(
        '0' => array(
          'value' => '',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Global Group Filter',
      'weight' => '1',
      'description' => 'If you choose to show the notifier on all group dashboards, then you can use this to filter it down further to only show to Group Admins or Non-Admins. Leave unselected to show on the group to all group members.',
      'type' => 'optionwidgets_select',
      'module' => 'optionwidgets',
    ),
  );

  // Exported field: field_notifier_visibility
  $fields['notifier-field_notifier_visibility'] = array(
    'field_name' => 'field_notifier_visibility',
    'type_name' => 'notifier',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      '5' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '2' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '3' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'cck_blocks' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'mobile' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '1',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '32',
    'allowed_values' => 'anyone|Make visible to anyone
group members|Make visibile only to group members',
    'allowed_values_php' => '',
    'widget' => array(
      'default_value' => array(
        '0' => array(
          'value' => 'group members',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Visibility',
      'weight' => '4',
      'description' => 'This only applies to notifiers in a group context.',
      'type' => 'optionwidgets_select',
      'module' => 'optionwidgets',
    ),
  );

  // Exported field: field_ref_notifier_nid
  $fields['notifier-field_ref_notifier_nid'] = array(
    'field_name' => 'field_ref_notifier_nid',
    'type_name' => 'notifier',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      '5' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '2' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '3' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'cck_blocks' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'mobile' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '1',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'group' => 'group',
      'apci_brochure' => 0,
      'apci_brochure_careers' => 0,
      'apci_new_features_blog' => 0,
      'availability' => 0,
      'background' => 0,
      'background_check_profile' => 0,
      'book' => 0,
      'bracket' => 0,
      'broadcast_message' => 0,
      'vevent' => 0,
      'fee' => 0,
      'feed' => 0,
      'feed_item' => 0,
      'file_upload' => 0,
      'group_product' => 0,
      'group_webform' => 0,
      'image' => 0,
      'premium' => 0,
      'notifier' => 0,
      'page' => 0,
      'panel' => 0,
      'spaces_photo' => 0,
      'spaces_photo_album' => 0,
      'sphoto' => 0,
      'product' => 0,
      'profile' => 0,
      'resource' => 0,
      'autoschedule' => 0,
      'webform' => 0,
      'apcipage' => 0,
      'hidden_content_field_split_force' => 0,
      'feed_ical_item' => 0,
      'feed_ical' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'advanced_view_enforce_view_items' => 0,
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ref_notifier_nid][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Notifier Group',
      'weight' => '3',
      'description' => '',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Global Group Filter');
  t('Notifier Group');
  t('Visibility');

  return $fields;
}
