<?php

/**
 * Implementation of hook_views_default_views().
 */
function notifier_og_views_default_views() {
  static $views;
  if (!empty($views)) {
    return $views;
  }

  $views = array();

  // Exported view: notifier_og_view_helper
  $view = new view;
  $view->name = 'notifier_og_view_helper';
  $view->description = 'A view helper used by notifier_rules to identify duplicates.';
  $view->tag = 'notifier';
  $view->base_table = 'node';
  $view->human_name = 'Notifier OG View Helper';
  $view->core = 6;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['use_more_text'] = 'All Notices';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['hide_empty'] = 0;
  $handler->display->display_options['row_options']['default_field_elements'] = 0;
  /* Field: Node: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['external'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nid']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['nid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['nid']['spaces'] = array(
    'type' => array(
      'name' => 'spaces_og',
      'spaces_og_feature' => 'any',
    ),
    'frontpage' => 0,
    'page' => array(
      'menu-item' => '<front>',
      'path' => '',
    ),
  );
  /* Field: Notifier Group */
  $handler->display->display_options['fields']['delta']['id'] = 'delta';
  $handler->display->display_options['fields']['delta']['table'] = 'node_data_field_ref_notifier_nid';
  $handler->display->display_options['fields']['delta']['field'] = 'delta';
  $handler->display->display_options['fields']['delta']['ui_name'] = 'Notifier Group';
  $handler->display->display_options['fields']['delta']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['delta']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['delta']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['delta']['alter']['external'] = 0;
  $handler->display->display_options['fields']['delta']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['delta']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['delta']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['delta']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['delta']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['delta']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['delta']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['delta']['alter']['html'] = 0;
  $handler->display->display_options['fields']['delta']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['delta']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['delta']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delta']['empty_zero'] = 0;
  $handler->display->display_options['fields']['delta']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['delta']['format_plural'] = 0;
  /* Field: Notifier User */
  $handler->display->display_options['fields']['delta_1']['id'] = 'delta_1';
  $handler->display->display_options['fields']['delta_1']['table'] = 'node_data_field_ref_notifier_uid';
  $handler->display->display_options['fields']['delta_1']['field'] = 'delta';
  $handler->display->display_options['fields']['delta_1']['ui_name'] = 'Notifier User';
  $handler->display->display_options['fields']['delta_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['delta_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['delta_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['delta_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['delta_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['delta_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['delta_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delta_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['delta_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['delta_1']['format_plural'] = 0;
  /* Sort criterion: Notifier Type */
  $handler->display->display_options['sorts']['field_notifier_type_value']['id'] = 'field_notifier_type_value';
  $handler->display->display_options['sorts']['field_notifier_type_value']['table'] = 'node_data_field_notifier_type';
  $handler->display->display_options['sorts']['field_notifier_type_value']['field'] = 'field_notifier_type_value';
  $handler->display->display_options['sorts']['field_notifier_type_value']['ui_name'] = 'Notifier Type';
  /* Sort criterion: Node: Updated date */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'node';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  $handler->display->display_options['sorts']['changed']['granularity'] = 'minute';
  /* Argument: Notifier User */
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['id'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['table'] = 'node_data_field_ref_notifier_uid';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['field'] = 'field_ref_notifier_uid_uid';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['ui_name'] = 'Notifier User';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['break_phrase'] = 1;
  $handler->display->display_options['arguments']['field_ref_notifier_uid_uid']['not'] = 0;
  /* Argument: Notifier Group */
  $handler->display->display_options['arguments']['field_ref_notifier_nid_nid']['id'] = 'field_ref_notifier_nid_nid';
  $handler->display->display_options['arguments']['field_ref_notifier_nid_nid']['table'] = 'node_data_field_ref_notifier_nid';
  $handler->display->display_options['arguments']['field_ref_notifier_nid_nid']['field'] = 'field_ref_notifier_nid_nid';
  $handler->display->display_options['arguments']['field_ref_notifier_nid_nid']['ui_name'] = 'Notifier Group';
  $handler->display->display_options['arguments']['field_ref_notifier_nid_nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_ref_notifier_nid_nid']['default_argument_type'] = 'og_group_node';
  $handler->display->display_options['arguments']['field_ref_notifier_nid_nid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_ref_notifier_nid_nid']['break_phrase'] = 1;
  $handler->display->display_options['arguments']['field_ref_notifier_nid_nid']['not'] = 0;
  /* Argument: Notifier Identifier */
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['id'] = 'field_notifier_identifier_value';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['table'] = 'node_data_field_notifier_identifier';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['field'] = 'field_notifier_identifier_value';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['ui_name'] = 'Notifier Identifier';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['glossary'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['ignorecase'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['limit'] = '0';
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['transform_dash'] = 0;
  $handler->display->display_options['arguments']['field_notifier_identifier_value']['break_phrase'] = 1;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'notifier' => 'notifier',
  );
  /* Filter: Node: Updated date */
  $handler->display->display_options['filters']['changed']['id'] = 'changed';
  $handler->display->display_options['filters']['changed']['table'] = 'node';
  $handler->display->display_options['filters']['changed']['field'] = 'changed';
  $handler->display->display_options['filters']['changed']['operator'] = '>=';
  $handler->display->display_options['filters']['changed']['value']['value'] = '-30 days';
  $handler->display->display_options['filters']['changed']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['changed']['allow_null'] = 0;

  /* Display: Notifier OG */
  $handler = $view->new_display('block', 'Notifier OG', 'notifier_og_view_helper');

  /* Display: Notifier OG - All */
  $handler = $view->new_display('block', 'Notifier OG - All', 'notifier_og_view_helper_all');
  $handler->display->display_options['display_description'] = 'Include notifiers older than 30 days.';
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'notifier' => 'notifier',
  );
  $translatables['notifier_og_view_helper'] = array(
    t('Defaults'),
    t('All Notices'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Nid'),
    t('Notifier Group (field_ref_notifier_nid) - delta'),
    t('.'),
    t(','),
    t('Notifier User (field_ref_notifier_uid) - delta'),
    t('All'),
    t('Notifier OG'),
    t('more'),
    t('Notifier OG - All'),
    t('Include notifiers older than 30 days.'),
  );

  $views[$view->name] = $view;

  return $views;
}
